gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Printing.PrintSettings

Contents

- Detail
- Class Hierarchy
- Types
- Enums
- Constructors
- Methods
- Attributes

Description

Stores print settings

- Module available since Gtk+ version 2.10

Synopsis

- data PrintSettings
- class GObjectClass o => PrintSettingsClass o
- castToPrintSettings :: GObjectClass obj => obj -> PrintSettings
- toPrintSettings :: PrintSettingsClass o => o -> PrintSettings
- data PageOrientation
  - = PageOrientationPortrait
  - | PageOrientationLandscape
  - | PageOrientationReversePortrait
  - | PageOrientationReverseLandscape
- data NumberUpLayout
  - = NumberUpLayoutLeftToRightTopToBottom
  - | NumberUpLayoutLeftToRightBottomToTop
  - | NumberUpLayoutRightToLeftTopToBottom
  - | NumberUpLayoutRightToLeftBottomToTop
  - | NumberUpLayoutTopToBottomLeftToRight
  - | NumberUpLayoutTopToBottomRightToLeft
  - | NumberUpLayoutBottomToTopLeftToRight
  - | NumberUpLayoutBottomToTopRightToLeft
- data PrintQuality
  - = PrintQualityLow
  - | PrintQualityNormal
  - | PrintQualityHigh
  - | PrintQualityDraft
- data PrintDuplex
  - = PrintDuplexSimplex
  - | PrintDuplexHorizontal
  - | PrintDuplexVertical
- data PrintPages
  - = PrintPagesAll
  - | PrintPagesCurrent
  - | PrintPagesRanges
  - | PrintPagesSelection
- data PageSet
  - = PageSetAll
  - | PageSetEven
  - | PageSetOdd
- printSettingsNew :: IO PrintSettings
- printSettingsNewFromFile :: GlibFilePath fp => fp -> IO PrintSettings
- printSettingsCopy :: PrintSettingsClass self => self -> IO PrintSettings
- printSettingsHasKey :: (PrintSettingsClass self, GlibString string) => self -> string -> IO Bool
- printSettingsGet :: (PrintSettingsClass self, GlibString string) => self -> string -> IO string
- printSettingsSet :: (PrintSettingsClass self, GlibString string) => self -> string -> string -> IO ()
- printSettingsUnset :: (PrintSettingsClass self, GlibString string) => self -> string -> IO ()
- printSettingsForeach :: PrintSettingsClass self => self -> (String -> IO ()) -> IO ()
- printSettingsGetBool :: (PrintSettingsClass self, GlibString string) => self -> string -> IO Bool
- printSettingsSetBool :: (PrintSettingsClass self, GlibString string) => self -> string -> Bool -> IO ()
- printSettingsGetDouble :: (PrintSettingsClass self, GlibString string) => self -> string -> IO Double
- printSettingsGetDoubleWithDefault :: (PrintSettingsClass self, GlibString string) => self -> string -> Double -> IO Double
- printSettingsSetDouble :: (PrintSettingsClass self, GlibString string) => self -> string -> Double -> IO ()
- printSettingsGetLength :: (PrintSettingsClass self, GlibString string) => self -> string -> Unit -> IO Double
- printSettingsSetLength :: (PrintSettingsClass self, GlibString string) => self -> string -> Double -> Unit -> IO ()
- printSettingsGetInt :: (PrintSettingsClass self, GlibString string) => self -> string -> IO Int
- printSettingsGetIntWithDefault :: (PrintSettingsClass self, GlibString string) => self -> string -> Int -> IO Int
- printSettingsSetInt :: (PrintSettingsClass self, GlibString string) => self -> string -> Int -> IO ()
- printSettingsGetPaperWidth :: PrintSettingsClass self => self -> Unit -> IO Double
- printSettingsSetPaperWidth :: PrintSettingsClass self => self -> Double -> Unit -> IO ()
- printSettingsGetPaperHeight :: PrintSettingsClass self => self -> Unit -> IO Double
- printSettingsSetPaperHeight :: PrintSettingsClass self => self -> Double -> Unit -> IO ()
- printSettingsSetResolutionXy :: PrintSettingsClass self => self -> Int -> Int -> IO ()
- printSettingsGetResolutionX :: PrintSettingsClass self => self -> IO Int
- printSettingsGetResolutionY :: PrintSettingsClass self => self -> IO Int
- printSettingsLoadFile :: (PrintSettingsClass self, GlibString string) => self -> string -> IO Bool
- printSettingsToFile :: (PrintSettingsClass self, GlibString string) => self -> string -> IO Bool
- printSettingsPrinter :: (PrintSettingsClass self, GlibString string) => Attr self string
- printSettingsOrientation :: PrintSettingsClass self => Attr self PageOrientation
- printSettingsPaperSize :: PrintSettingsClass self => Attr self PaperSize
- printSettingsUseColor :: PrintSettingsClass self => Attr self Bool
- printSettingsCollate :: PrintSettingsClass self => Attr self Bool
- printSettingsReverse :: PrintSettingsClass self => Attr self Bool
- printSettingsDuplex :: PrintSettingsClass self => Attr self PrintDuplex
- printSettingsQuality :: PrintSettingsClass self => Attr self PrintQuality
- printSettingsNCopies :: PrintSettingsClass self => Attr self Int
- printSettingsNumberUp :: PrintSettingsClass self => Attr self Int
- printSettingsResolution :: PrintSettingsClass self => Attr self Int
- printSettingsScale :: PrintSettingsClass self => Attr self Double
- printSettingsPrintPages :: PrintSettingsClass self => Attr self PrintPages
- printSettingsPageSet :: PrintSettingsClass self => Attr self PageSet
- printSettingsDefaultSource :: (PrintSettingsClass self, GlibString string) => Attr self string
- printSettingsMediaType :: (PrintSettingsClass self, GlibString string) => Attr self string
- printSettingsDither :: (PrintSettingsClass self, GlibString string) => Attr self string
- printSettingsFinishings :: (PrintSettingsClass self, GlibString string) => Attr self string
- printSettingsOutputBin :: (PrintSettingsClass self, GlibString string) => Attr self string
- printSettingsNumberUpLayout :: PrintSettingsClass self => Attr self NumberUpLayout
- printSettingsPrinterLpi :: PrintSettingsClass self => Attr self Double

# Detail

A `PrintSettings` object represents the settings of a print dialog in a system-independent way. The main use for this object is that once you've printed you can get a settings object that represents the settings the user chose, and the next time you print you can pass that object in so that the user doesn't have to re-set all his settings.

Its also possible to enumerate the settings so that you can easily save the settings for the next time your app runs, or even store them in a document. The predefined keys try to use shared values as much as possible so that moving such a document between systems still works.

Printing support was added in Gtk+ 2.10.

# Class Hierarchy

    | GObject
    | +----PrintSettings

# Types

data PrintSettings Source #

#### Instances

Instances details

Eq PrintSettings Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: PrintSettings -> PrintSettings -> Bool Source # (/=) :: PrintSettings -> PrintSettings -> Bool Source #
Ord PrintSettings Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: PrintSettings -> PrintSettings -> Ordering Source #

(<) :: PrintSettings -> PrintSettings -> Bool Source #

(<=) :: PrintSettings -> PrintSettings -> Bool Source #

(>) :: PrintSettings -> PrintSettings -> Bool Source #

(>=) :: PrintSettings -> PrintSettings -> Bool Source #

max :: PrintSettings -> PrintSettings -> PrintSettings Source #

min :: PrintSettings -> PrintSettings -> PrintSettings Source #

GObjectClass PrintSettings Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: PrintSettings -> GObject Source # unsafeCastGObject :: GObject -> PrintSettings Source #
PrintSettingsClass PrintSettings Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class GObjectClass o => PrintSettingsClass o Source #

#### Instances

Instances details

PrintSettingsClass PrintSettings Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToPrintSettings :: GObjectClass obj => obj -> PrintSettings Source #

toPrintSettings :: PrintSettingsClass o => o -> PrintSettings Source #

# Enums

data PageOrientation Source #

Constructors

PageOrientationPortrait |
PageOrientationLandscape |
PageOrientationReversePortrait |
PageOrientationReverseLandscape |

#### Instances

Instances details

Bounded PageOrientation Source # |
Instance details Defined in Graphics.UI.Gtk.Printing.PrintSettings Methods minBound :: PageOrientation Source # maxBound :: PageOrientation Source #
Enum PageOrientation Source # |

Instance details

Defined in Graphics.UI.Gtk.Printing.PrintSettings

Methods

succ :: PageOrientation -> PageOrientation Source #

pred :: PageOrientation -> PageOrientation Source #

toEnum :: Int -> PageOrientation Source #

fromEnum :: PageOrientation -> Int Source #

enumFrom :: PageOrientation -> [PageOrientation] Source #

enumFromThen :: PageOrientation -> PageOrientation -> [PageOrientation] Source #

enumFromTo :: PageOrientation -> PageOrientation -> [PageOrientation] Source #

enumFromThenTo :: PageOrientation -> PageOrientation -> PageOrientation -> [PageOrientation] Source #

Show PageOrientation Source # |
Instance details Defined in Graphics.UI.Gtk.Printing.PrintSettings Methods showsPrec :: Int -> PageOrientation -> ShowS Source # show :: PageOrientation -> String Source # showList :: [PageOrientation] -> ShowS Source #
Eq PageOrientation Source # |
Instance details Defined in Graphics.UI.Gtk.Printing.PrintSettings Methods (==) :: PageOrientation -> PageOrientation -> Bool Source # (/=) :: PageOrientation -> PageOrientation -> Bool Source #

data NumberUpLayout Source #

Used to determine the layout of pages on a sheet when printing multiple pages per sheet.

Constructors

NumberUpLayoutLeftToRightTopToBottom |
NumberUpLayoutLeftToRightBottomToTop |
NumberUpLayoutRightToLeftTopToBottom |
NumberUpLayoutRightToLeftBottomToTop |
NumberUpLayoutTopToBottomLeftToRight |
NumberUpLayoutTopToBottomRightToLeft |
NumberUpLayoutBottomToTopLeftToRight |
NumberUpLayoutBottomToTopRightToLeft |

#### Instances

Instances details

Bounded NumberUpLayout Source # |
Instance details Defined in Graphics.UI.Gtk.Printing.PrintSettings Methods minBound :: NumberUpLayout Source # maxBound :: NumberUpLayout Source #
Enum NumberUpLayout Source # |

Instance details

Defined in Graphics.UI.Gtk.Printing.PrintSettings

Methods

succ :: NumberUpLayout -> NumberUpLayout Source #

pred :: NumberUpLayout -> NumberUpLayout Source #

toEnum :: Int -> NumberUpLayout Source #

fromEnum :: NumberUpLayout -> Int Source #

enumFrom :: NumberUpLayout -> [NumberUpLayout] Source #

enumFromThen :: NumberUpLayout -> NumberUpLayout -> [NumberUpLayout] Source #

enumFromTo :: NumberUpLayout -> NumberUpLayout -> [NumberUpLayout] Source #

enumFromThenTo :: NumberUpLayout -> NumberUpLayout -> NumberUpLayout -> [NumberUpLayout] Source #

Show NumberUpLayout Source # |
Instance details Defined in Graphics.UI.Gtk.Printing.PrintSettings Methods showsPrec :: Int -> NumberUpLayout -> ShowS Source # show :: NumberUpLayout -> String Source # showList :: [NumberUpLayout] -> ShowS Source #
Eq NumberUpLayout Source # |
Instance details Defined in Graphics.UI.Gtk.Printing.PrintSettings Methods (==) :: NumberUpLayout -> NumberUpLayout -> Bool Source # (/=) :: NumberUpLayout -> NumberUpLayout -> Bool Source #

data PrintQuality Source #

Constructors

PrintQualityLow |
PrintQualityNormal |
PrintQualityHigh |
PrintQualityDraft |

#### Instances

Instances details

Bounded PrintQuality Source # |
Instance details Defined in Graphics.UI.Gtk.Printing.PrintSettings Methods minBound :: PrintQuality Source # maxBound :: PrintQuality Source #
Enum PrintQuality Source # |

Instance details

Defined in Graphics.UI.Gtk.Printing.PrintSettings

Methods

succ :: PrintQuality -> PrintQuality Source #

pred :: PrintQuality -> PrintQuality Source #

toEnum :: Int -> PrintQuality Source #

fromEnum :: PrintQuality -> Int Source #

enumFrom :: PrintQuality -> [PrintQuality] Source #

enumFromThen :: PrintQuality -> PrintQuality -> [PrintQuality] Source #

enumFromTo :: PrintQuality -> PrintQuality -> [PrintQuality] Source #

enumFromThenTo :: PrintQuality -> PrintQuality -> PrintQuality -> [PrintQuality] Source #

Show PrintQuality Source # |
Instance details Defined in Graphics.UI.Gtk.Printing.PrintSettings Methods showsPrec :: Int -> PrintQuality -> ShowS Source # show :: PrintQuality -> String Source # showList :: [PrintQuality] -> ShowS Source #
Eq PrintQuality Source # |
Instance details Defined in Graphics.UI.Gtk.Printing.PrintSettings Methods (==) :: PrintQuality -> PrintQuality -> Bool Source # (/=) :: PrintQuality -> PrintQuality -> Bool Source #

data PrintDuplex Source #

Constructors

PrintDuplexSimplex |
PrintDuplexHorizontal |
PrintDuplexVertical |

#### Instances

Instances details

Bounded PrintDuplex Source # |
Instance details Defined in Graphics.UI.Gtk.Printing.PrintSettings Methods minBound :: PrintDuplex Source # maxBound :: PrintDuplex Source #
Enum PrintDuplex Source # |

Instance details

Defined in Graphics.UI.Gtk.Printing.PrintSettings

Methods

succ :: PrintDuplex -> PrintDuplex Source #

pred :: PrintDuplex -> PrintDuplex Source #

toEnum :: Int -> PrintDuplex Source #

fromEnum :: PrintDuplex -> Int Source #

enumFrom :: PrintDuplex -> [PrintDuplex] Source #

enumFromThen :: PrintDuplex -> PrintDuplex -> [PrintDuplex] Source #

enumFromTo :: PrintDuplex -> PrintDuplex -> [PrintDuplex] Source #

enumFromThenTo :: PrintDuplex -> PrintDuplex -> PrintDuplex -> [PrintDuplex] Source #

Show PrintDuplex Source # |
Instance details Defined in Graphics.UI.Gtk.Printing.PrintSettings Methods showsPrec :: Int -> PrintDuplex -> ShowS Source # show :: PrintDuplex -> String Source # showList :: [PrintDuplex] -> ShowS Source #
Eq PrintDuplex Source # |
Instance details Defined in Graphics.UI.Gtk.Printing.PrintSettings Methods (==) :: PrintDuplex -> PrintDuplex -> Bool Source # (/=) :: PrintDuplex -> PrintDuplex -> Bool Source #

data PrintPages Source #

Constructors

PrintPagesAll |
PrintPagesCurrent |
PrintPagesRanges |
PrintPagesSelection |

#### Instances

Instances details

Bounded PrintPages Source # |
Instance details Defined in Graphics.UI.Gtk.Printing.PrintSettings Methods minBound :: PrintPages Source # maxBound :: PrintPages Source #
Enum PrintPages Source # |

Instance details

Defined in Graphics.UI.Gtk.Printing.PrintSettings

Methods

succ :: PrintPages -> PrintPages Source #

pred :: PrintPages -> PrintPages Source #

toEnum :: Int -> PrintPages Source #

fromEnum :: PrintPages -> Int Source #

enumFrom :: PrintPages -> [PrintPages] Source #

enumFromThen :: PrintPages -> PrintPages -> [PrintPages] Source #

enumFromTo :: PrintPages -> PrintPages -> [PrintPages] Source #

enumFromThenTo :: PrintPages -> PrintPages -> PrintPages -> [PrintPages] Source #

Show PrintPages Source # |
Instance details Defined in Graphics.UI.Gtk.Printing.PrintSettings Methods showsPrec :: Int -> PrintPages -> ShowS Source # show :: PrintPages -> String Source # showList :: [PrintPages] -> ShowS Source #
Eq PrintPages Source # |
Instance details Defined in Graphics.UI.Gtk.Printing.PrintSettings Methods (==) :: PrintPages -> PrintPages -> Bool Source # (/=) :: PrintPages -> PrintPages -> Bool Source #

data PageSet Source #

Constructors

PageSetAll |
PageSetEven |
PageSetOdd |

#### Instances

Instances details

Bounded PageSet Source # |
Instance details Defined in Graphics.UI.Gtk.Printing.PrintSettings Methods minBound :: PageSet Source # maxBound :: PageSet Source #
Enum PageSet Source # |

Instance details

Defined in Graphics.UI.Gtk.Printing.PrintSettings

Methods

succ :: PageSet -> PageSet Source #

pred :: PageSet -> PageSet Source #

toEnum :: Int -> PageSet Source #

fromEnum :: PageSet -> Int Source #

enumFrom :: PageSet -> [PageSet] Source #

enumFromThen :: PageSet -> PageSet -> [PageSet] Source #

enumFromTo :: PageSet -> PageSet -> [PageSet] Source #

enumFromThenTo :: PageSet -> PageSet -> PageSet -> [PageSet] Source #

Show PageSet Source # |
Instance details Defined in Graphics.UI.Gtk.Printing.PrintSettings Methods showsPrec :: Int -> PageSet -> ShowS Source # show :: PageSet -> String Source # showList :: [PageSet] -> ShowS Source #
Eq PageSet Source # |
Instance details Defined in Graphics.UI.Gtk.Printing.PrintSettings Methods (==) :: PageSet -> PageSet -> Bool Source # (/=) :: PageSet -> PageSet -> Bool Source #

# Constructors

printSettingsNew :: IO PrintSettings Source #

Creates a new `PrintSettings` object.

printSettingsNewFromFile Source #

Arguments

:: GlibFilePath fp |
=> fp | `fileName` - the filename to read the settings from
-> IO PrintSettings |

Reads the print settings from `fileName`. Returns a new `PrintSettings` object with the restored settings.

- Available since Gtk+ version 2.12

# Methods

printSettingsCopy Source #

Arguments

:: PrintSettingsClass self |
=> self |
-> IO PrintSettings | returns a newly allocated copy of `other`

Copies a `PrintSettings` object.

printSettingsHasKey Source #

Arguments

:: (PrintSettingsClass self, GlibString string) |
=> self |
-> string | `key` - a key
-> IO Bool | returns `True`, if `key` has a value

Returns `True`, if a value is associated with `key`.

printSettingsGet Source #

Arguments

:: (PrintSettingsClass self, GlibString string) |
=> self |
-> string | `key` - a key
-> IO string | returns the string value for `key`

Looks up the string value associated with `key`.

printSettingsSet Source #

Arguments

:: (PrintSettingsClass self, GlibString string) |
=> self |
-> string | `key` - a key
-> string | `value` - a string value
-> IO () |

Associates `value` with `key`.

printSettingsUnset Source #

Arguments

:: (PrintSettingsClass self, GlibString string) |
=> self |
-> string | `key` - a key
-> IO () |

Removes any value associated with `key`

printSettingsForeach Source #

Arguments

:: PrintSettingsClass self |
=> self |
-> (String -> IO ()) | `func` - the function to call
-> IO () |

Calls `func` for each key-value pair of `settings`.

printSettingsGetBool Source #

Arguments

:: (PrintSettingsClass self, GlibString string) |
=> self |
-> string | `key` - a key
-> IO Bool | returns `True`, if `key` maps to a true value.

Returns the boolean represented by the value that is associated with `key`.

The string "true" represents `True`, any other string `False`.

printSettingsSetBool Source #

Arguments

:: (PrintSettingsClass self, GlibString string) |
=> self |
-> string | `key` - a key
-> Bool | `value` - a boolean
-> IO () |

Sets `key` to a boolean value.

printSettingsGetDouble Source #

Arguments

:: (PrintSettingsClass self, GlibString string) |
=> self |
-> string | `key` - a key
-> IO Double | returns the double value of `key`

Returns the double value associated with `key`, or 0.

printSettingsGetDoubleWithDefault Source #

Arguments

:: (PrintSettingsClass self, GlibString string) |
=> self |
-> string | `key` - a key
-> Double | `def` - the default value
-> IO Double | returns the floating point number associated with `key`

Returns the floating point number represented by the value that is associated with `key`, or `defaultVal` if the value does not represent a floating point number.

Floating point numbers are parsed with `gAsciiStrtod`.

printSettingsSetDouble Source #

Arguments

:: (PrintSettingsClass self, GlibString string) |
=> self |
-> string | `key` - a key
-> Double | `value` - a double value
-> IO () |

Sets `key` to a double value.

printSettingsGetLength Source #

Arguments

:: (PrintSettingsClass self, GlibString string) |
=> self |
-> string | `key` - a key
-> Unit | `unit` - the unit of the return value
-> IO Double | returns the length value of `key`, converted to `unit`

Returns the value associated with `key`, interpreted as a length. The returned value is converted to `units`.

printSettingsSetLength Source #

Arguments

:: (PrintSettingsClass self, GlibString string) |
=> self |
-> string | `key` - a key
-> Double | `value` - a length
-> Unit | `unit` - the unit of `length`
-> IO () |

Associates a length in units of `unit` with `key`.

printSettingsGetInt Source #

Arguments

:: (PrintSettingsClass self, GlibString string) |
=> self |
-> string | `key` - a key
-> IO Int | returns the integer value of `key`

Returns the integer value of `key`, or 0.

printSettingsGetIntWithDefault Source #

Arguments

:: (PrintSettingsClass self, GlibString string) |
=> self |
-> string | `key` - a key
-> Int | `def` - the default value
-> IO Int | returns the integer value of `key`

Returns the value of `key`, interpreted as an integer, or the default value.

printSettingsSetInt Source #

Arguments

:: (PrintSettingsClass self, GlibString string) |
=> self |
-> string | `key` - a key
-> Int | `value` - an integer
-> IO () |

Sets `key` to an integer value.

printSettingsGetPaperWidth Source #

Arguments

:: PrintSettingsClass self |
=> self |
-> Unit | `unit` - the unit for the return value
-> IO Double | returns the paper width, in units of `unit`

Gets the value of `PrintSettingsPaperWidth`, converted to unit.

printSettingsSetPaperWidth Source #

Arguments

:: PrintSettingsClass self |
=> self |
-> Double | `width` - the paper width
-> Unit | `unit` - the units of `width`
-> IO () |

Sets the value of `PrintSettingsPaperWidth`.

printSettingsGetPaperHeight Source #

Arguments

:: PrintSettingsClass self |
=> self |
-> Unit | `unit` - the unit for the return value
-> IO Double | returns the paper height, in units of `unit`

Gets the value of `PrintSettingsPaperHeight`, converted to unit.

printSettingsSetPaperHeight Source #

Arguments

:: PrintSettingsClass self |
=> self |
-> Double | `height` - the paper height
-> Unit | `unit` - the units of `height`
-> IO () |

Sets the value of `PrintSettingsPaperHeight`.

printSettingsSetResolutionXy Source #

Arguments

:: PrintSettingsClass self |
=> self |
-> Int | `resolutionX` - the horizontal resolution in dpi
-> Int | `resolutionY` - the vertical resolution in dpi
-> IO () |

Sets the values of `PrintSettingsResolution`, `PrintSettingsResolutionX` and `PrintSettingsResolutionY`.

- Available since Gtk+ version 2.16

printSettingsGetResolutionX Source #

Arguments

:: PrintSettingsClass self |
=> self |
-> IO Int | returns the horizontal resolution in dpi

Gets the value of `"resolution-x"`.

- Available since Gtk+ version 2.16

printSettingsGetResolutionY Source #

Arguments

:: PrintSettingsClass self |
=> self |
-> IO Int | returns the vertical resolution in dpi

Gets the value of `"resolution-y"`.

- Available since Gtk+ version 2.16

printSettingsLoadFile Source #

Arguments

:: (PrintSettingsClass self, GlibString string) |
=> self |
-> string | `fileName` - the filename to read the settings from
-> IO Bool | returns `True` on success

Reads the print settings from `fileName`. See `printSettingsToFile`.

- Available since Gtk+ version 2.14

printSettingsToFile Source #

Arguments

:: (PrintSettingsClass self, GlibString string) |
=> self |
-> string | `fileName` - the file to save to
-> IO Bool | returns `True` on success

This function saves the print settings from `settings` to `fileName`.

- Available since Gtk+ version 2.12

# Attributes

printSettingsPrinter :: (PrintSettingsClass self, GlibString string) => Attr self string Source #

Obtain the value of `PrintSettingsPrinter`.

printSettingsOrientation :: PrintSettingsClass self => Attr self PageOrientation Source #

The value of '`PrintSettingsOrientation'`, converted to a `PageOrientation`.

printSettingsPaperSize :: PrintSettingsClass self => Attr self PaperSize Source #

The value of `PrintSettingsPaperFormat`, converted to a `PaperSize`.

printSettingsUseColor :: PrintSettingsClass self => Attr self Bool Source #

The value of '`PrintSettingsUseColor'`.

printSettingsCollate :: PrintSettingsClass self => Attr self Bool Source #

The value of '`PrintSettingsCollate'`.

printSettingsReverse :: PrintSettingsClass self => Attr self Bool Source #

The value of '`PrintSettingsReverse'`.

printSettingsDuplex :: PrintSettingsClass self => Attr self PrintDuplex Source #

The value of '`PrintSettingsDuplex'`.

printSettingsQuality :: PrintSettingsClass self => Attr self PrintQuality Source #

The value of '`PrintSettingsQuality'`.

printSettingsNCopies :: PrintSettingsClass self => Attr self Int Source #

The value of `PrintSettingsNCopies`.

printSettingsNumberUp :: PrintSettingsClass self => Attr self Int Source #

The value of `PrintSettingsNumberUp`.

printSettingsResolution :: PrintSettingsClass self => Attr self Int Source #

The value of `PrintSettingsResolution`.

printSettingsScale :: PrintSettingsClass self => Attr self Double Source #

The value of `PrintSettingsScale`.

printSettingsPrintPages :: PrintSettingsClass self => Attr self PrintPages Source #

The value of `PrintSettingsPrintPages`.

printSettingsPageSet :: PrintSettingsClass self => Attr self PageSet Source #

The value of `PrintSettingsPageSet`.

printSettingsDefaultSource :: (PrintSettingsClass self, GlibString string) => Attr self string Source #

The value of `PrintSettingsDefaultSource`.

printSettingsMediaType :: (PrintSettingsClass self, GlibString string) => Attr self string Source #

The value of `PrintSettingsMediaType`.

printSettingsDither :: (PrintSettingsClass self, GlibString string) => Attr self string Source #

The value of `PrintSettingsDither`.

printSettingsFinishings :: (PrintSettingsClass self, GlibString string) => Attr self string Source #

The value of `PrintSettingsFinishings`.

printSettingsOutputBin :: (PrintSettingsClass self, GlibString string) => Attr self string Source #

The value of `PrintSettingsOutputBin`.

printSettingsNumberUpLayout :: PrintSettingsClass self => Attr self NumberUpLayout Source #

The value of `PrintSettingsNumberUpLayout`.

printSettingsPrinterLpi :: PrintSettingsClass self => Attr self Double Source #

The value of `PrintSettingsPrinterLpi`.